Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.http
Interface WebContainer

All Known Implementing Classes:
  JettyWebContainer

public interface WebContainer

An Interface for the Web Container so that we can plug in any web container.

Version:
  $Revision: 1.3 $

Method Summary
`void` | `deploy(java.lang.String servletClassName, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Deploys the given servlet class mapping it to the URL specified by the given JMXServiceURL.
`void` | `start(javax.management.remote.JMXServiceURL url, java.util.Map environment)` Starts the web container
`void` | `stop()` Stops the web container
`void` | `undeploy(java.lang.String servletClassName, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Undeploys the servlet mapped to the URL specified by the given JMXServiceURL.

Method Detail

### start

    public void start(javax.management.remote.JMXServiceURL url,
                      java.util.Map environment)
               throws java.io.IOException

  Starts the web container

  Throws:
    `java.io.IOException`

### stop

    public void stop()
              throws java.io.IOException

  Stops the web container

  Throws:
    `java.io.IOException`

### deploy

    public void deploy(java.lang.String servletClassName,
                       javax.management.remote.JMXServiceURL url,
                       java.util.Map environment)
                throws java.io.IOException

  Deploys the given servlet class mapping it to the URL specified by the given JMXServiceURL.

  Throws:
    `java.io.IOException`

### undeploy

    public void undeploy(java.lang.String servletClassName,
                         javax.management.remote.JMXServiceURL url,
                         java.util.Map environment)

  Undeploys the servlet mapped to the URL specified by the given JMXServiceURL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.